Bug 172579 - Review Request: gtkwave - Waveform Viewer
Review Request: gtkwave - Waveform Viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
David Lawrence
http://home.nc.rr.com/gtkwave/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-07 10:16 EST by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 06:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-11-07 10:16:46 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/gtkwave/gtkwave.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/gtkwave/gtkwave-1.3.76-3.src.rpm
Description:

GTKWave is a waveform viewer that can view VCD files produced by most Verilog
simulation tools, as well as LXT files produced by certain Verilog simulation
tools.

This package includes support for reading .ghw files as produced by ghdl.

This review request follows on from Bug 172547, which was a combined ghdl/gtkwave submission.
Comment 1 Thomas Sailer 2005-11-07 11:50:19 EST
Thanks, looks good. Compiled and tested against a GHDL ghw file, works.

rpmlint gives me these:
E: gtkwave unknown-key GPG#b56a8bac
E: gtkwave configure-without-libdir-spec

I've sent the ghw patch to the gtkwave author, no answer yet, but we'll see...
Comment 2 Paul Howarth 2005-11-07 12:06:57 EST
(In reply to comment #1)
> Thanks, looks good. Compiled and tested against a GHDL ghw file, works.
> 
> rpmlint gives me these:
> E: gtkwave unknown-key GPG#b56a8bac

This is normal since I signed the package and rpmlint doesn't recognise my key.

> E: gtkwave configure-without-libdir-spec

This is to be expected since gtkwave's configure script is not an
autotools-generated one and does not expect a --libdir= parameter.

> I've sent the ghw patch to the gtkwave author, no answer yet, but we'll see...

Hopefully it'll get included upstream, since it doesn't (I think) break any
current feature.

Are you able to approve the package?
Comment 3 Paul Howarth 2005-11-08 02:18:47 EST
Package now updated to 1.3.77, which includes the ghw support upstream so the
patches are dropped.

http://www.city-fan.org/~paul/extras/gtkwave/gtkwave.spec
http://www.city-fan.org/~paul/extras/gtkwave/gtkwave-1.3.77-1.src.rpm
Comment 6 Michael A. Peters 2005-11-22 18:21:34 EST
Looks good - there's an rpmlint errors:

[mpeters@utility result]$ ls *.rpm
gtkwave-1.3.79-1.fc4.i386.rpm  gtkwave-debuginfo-1.3.79-1.fc4.i386.rpm
gtkwave-1.3.79-1.fc4.src.rpm
[mpeters@utility result]$ rpmlint *.rpm
E: gtkwave configure-without-libdir-spec
E: gtkwave-debuginfo script-without-shellbang
/usr/src/debug/gtkwave-1.3.79/src/helpers/lxt_write.h
[mpeters@utility result]$ 

First can be ignored, second probably can be fixed.

I'll work on formal review, with the rpmlint debuginfo noted.
Comment 7 Michael A. Peters 2005-11-22 18:28:06 EST
[mpeters@utility gtkwave-1.3.79]$ ls -l src/helpers/ |grep "h$"
-rw-r--r--  1 mpeters family  8608 Jan 18  2004 lxt2_read.h
-rw-r--r--  1 mpeters family  9684 Feb  4  2004 lxt2_write.h
-rwxr-xr-x  1 mpeters family  7863 Oct 26 22:17 lxt_write.h
-rw-r--r--  1 mpeters family  3689 Feb  4  2004 v2l_analyzer.h
-rw-r--r--  1 mpeters family  3615 Feb 22  2004 v2l_analyzer_lxt2.h
-rw-r--r--  1 mpeters family  2654 Nov  3  2002 v2l_debug.h
-rw-r--r--  1 mpeters family  2654 Feb 11  2003 v2l_debug_lxt2.h
-rw-r--r--  1 mpeters family  8149 Mar 26  2005 vzt_read.h
-rw-r--r--  1 mpeters family  9014 Feb 27  2005 vzt_write.h


removing the execution bit on that header file should fix the debuginfo rpmlint
error.
Comment 8 Michael A. Peters 2005-11-22 19:04:33 EST
Review per http://fedoraproject.org/wiki/PackageReviewGuidelines

Needs Work:
See rpmlint comment #6 and #7

Good:
* With above noted exception, rpmlint clean
- error on configure ignorable as explained in comment #2
* Package properly named according to guidelines
* Spec file name matches src.rpm name
* Package meets packaging guidelines
* Package license (GPL & MIT) matches src
* License files in %doc
* Written in American English, legible
* Source matches upstream timestamp and md5sum
* Package succesfully builds on x86 (fc4)
* No BuildRequires in exceptions section of packaging guidelines
* All other BuildRequires properly specified
* No locale files that need find_lang
* No shared libraries
* No use of Prefix
* Package owns all directories it creates
* Proper Permissions
* Proper %clean
* consistent use of macros
* contains permissable code
* does not need docs subpackage
* Works without files in %doc
* No devel package concerns
** Desktop File - 
   - 'Twould be nice if it had one, but as explained in specfile:
# Note that GTKWave is a GUI application but no desktop entry is provided for it.
# This is because the application requires at least one mandatory parameter (file
# to view) and cannot be opened in a "no file" mode from a menu.
   - Hopefully upstream will decide to change that at some point.
* Package builds in mock

-=-
Fix the rpmlint warning on debuginfo package and I'll approve.
Comment 9 Paul Howarth 2005-11-23 05:22:31 EST
Updated package fixes debuginfo rpmlint issue. I also added a comment in the
spec file about the configure script not being an autotools-generated one and
hence not supporting --libdir.

http://www.city-fan.org/~paul/extras/gtkwave/gtkwave.spec
http://www.city-fan.org/~paul/extras/gtkwave/gtkwave-1.3.79-2.src.rpm
Comment 10 Michael A. Peters 2005-11-23 05:48:02 EST
Approved
Comment 11 Paul Howarth 2005-11-23 06:30:48 EST
Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.